geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sppa...@apache.org
Subject svn commit: r393829 - in /geronimo/devtools/eclipse-plugin/trunk: ./ maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ plugins/org.apache.geronimo.deployment.model.edit/ plugins/org.apache.geronimo.deployme...
Date Thu, 13 Apr 2006 15:22:19 GMT
Author: sppatel
Date: Thu Apr 13 08:21:04 2006
New Revision: 393829

URL: http://svn.apache.org/viewcvs?rev=393829&view=rev
Log:
move to using manifest dependencies

Modified:
    geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/InstallPluginDependenciesMojo.java
    geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ManifestDependenciesMojo.java
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model.edit/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/META-INF/MANIFEST.MF
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/META-INF/MANIFEST.MF
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.ui/pom.xml
    geronimo/devtools/eclipse-plugin/trunk/pom.xml

Modified: geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/InstallPluginDependenciesMojo.java
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/InstallPluginDependenciesMojo.java?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/InstallPluginDependenciesMojo.java
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/InstallPluginDependenciesMojo.java
Thu Apr 13 08:21:04 2006
@@ -90,9 +90,11 @@
 	/**
 	 * @parameter expression="${useDistributionVersions}"
 	 */
-	protected boolean useDistributionVersion;
+	protected boolean useDistributionVersion = true;
 
 	private List removeList = new ArrayList();
+	
+	private List addList = new ArrayList();
 
 	private int depth = 0;
 
@@ -113,6 +115,7 @@
 		
 		processDependencies();
 		project.getDependencies().removeAll(removeList);
+		project.getDependencies().addAll(addList);
 	}
 
 	protected void processDependencies() {
@@ -122,8 +125,12 @@
 			Dependency dependency = (Dependency) i.next();
 			if (GROUP_ID.equals(dependency.getGroupId())) {
 				updateForSWTFragment(dependency);
-				File file = findBundleForDependency(dependency);
-				process(file, dependency);
+				File bundle = findBundleForDependency(dependency);
+				process(bundle, dependency);
+				if(bundle.isDirectory() && getBundleName(bundle).equals(dependency.getArtifactId()))
{
+					getLog().info("Removing bundle directory dependency " + dependency.getArtifactId());
+					removeList.add(dependency);
+				}
 			}
 		}
 	}
@@ -172,12 +179,6 @@
 		} else {
 			if (file.getName().endsWith(".jar")) {
 				File bundle = getBundle(file);
-				
-				if(bundle.isDirectory()) {
-					getLog().info("removing dependency " + dependency.getArtifactId());
-					removeList.add(dependency);
-				}
-				
 				install(file, bundle);
 				if (useDistributionVersion)
 					dependency.setVersion(getBundleVersion(bundle));
@@ -192,6 +193,9 @@
 
 		if (!useDistributionVersion)
 			version = fixVersion(version);
+		
+		if(bundle.isDirectory())
+			addList.add(createDependency(artifactId, version));
 
 		try {
 			doIt(artifact, GROUP_ID, artifactId, version, "jar");
@@ -317,4 +321,11 @@
 		return fileName;
 	}
 
+	private Dependency createDependency(String artifactId, String version) {
+		Dependency dependency = new Dependency();
+		dependency.setGroupId("org.eclipse.plugins");
+		dependency.setArtifactId(artifactId);
+		dependency.setVersion(version);
+		return dependency;
+	}
 }

Modified: geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ManifestDependenciesMojo.java
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ManifestDependenciesMojo.java?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ManifestDependenciesMojo.java
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/maven-plugins/maven-geronimodevtools-plugin/src/main/java/org/apache/geronimo/eclipse/devtools/ManifestDependenciesMojo.java
Thu Apr 13 08:21:04 2006
@@ -68,7 +68,11 @@
 			StringTokenizer st = new StringTokenizer(bundles);
 			List bundleEntries = new ArrayList();
 			while (st.hasMoreTokens()) {
-				bundleEntries.add(st.nextToken(","));
+				String bundle = st.nextToken(",");
+				int extraInfoIndex = bundle.indexOf(";");
+				if(extraInfoIndex != -1)
+					bundle = bundle.substring(0, extraInfoIndex);
+				bundleEntries.add(bundle);
 			}
 
 			List excludeList = new ArrayList();

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model.edit/pom.xml
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model.edit/pom.xml?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model.edit/pom.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model.edit/pom.xml
Thu Apr 13 08:21:04 2006
@@ -37,6 +37,7 @@
             <id>install-dependencies</id>
             <phase>validate</phase>
             <goals>
+              <goal>manifestbundles</goal>
               <goal>download</goal>
               <goal>install</goal>
             </goals>
@@ -166,11 +167,5 @@
       <artifactId>org.apache.geronimo.deployment.model</artifactId>
       <version>${org.apache.geronimo.deployment.model_version}</version>    
 
     </dependency>
-    <!-- eclipse plugin dependencies -->  
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.edit</artifactId>
-      <version>${org.eclipse.emf.edit_version}</version>
-    </dependency>  
   </dependencies>
 </project>

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/META-INF/MANIFEST.MF
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/META-INF/MANIFEST.MF?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/META-INF/MANIFEST.MF
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/META-INF/MANIFEST.MF
Thu Apr 13 08:21:04 2006
@@ -8,7 +8,9 @@
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.ecore.xmi
+ org.eclipse.emf.ecore.xmi,
+ org.eclipse.emf.common,
+ org.eclipse.osgi
 Eclipse-AutoStart: true
 Export-Package: org.apache.geronimo.deployment.model,
  org.apache.geronimo.xml.ns.deployment,

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/pom.xml
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/pom.xml?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/pom.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.deployment.model/pom.xml
Thu Apr 13 08:21:04 2006
@@ -40,6 +40,7 @@
             <id>install-dependencies</id>
             <phase>validate</phase>
             <goals>
+              <goal>manifestbundles</goal>
               <goal>download</goal>
               <goal>install</goal>
             </goals>
@@ -161,37 +162,4 @@
       </plugin>
     </plugins>
   </build>
-  <dependencies>
-    <!-- Eclipse Plugin Dependencies -->
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.osgi</artifactId>
-      <version>${org.eclipse.osgi_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.core.runtime</artifactId>
-      <version>${org.eclipse.core.runtime_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.ecore</artifactId>
-      <version>${org.eclipse.emf.ecore_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.ecore.edit</artifactId>
-      <version>${org.eclipse.emf.ecore.edit_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.common</artifactId>
-      <version>${org.eclipse.emf.common_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.ecore.xmi</artifactId>
-      <version>${org.eclipse.emf.ecore.xmi_version}</version>
-    </dependency>
-  </dependencies>
 </project>

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/META-INF/MANIFEST.MF
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/META-INF/MANIFEST.MF?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/META-INF/MANIFEST.MF
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/META-INF/MANIFEST.MF
Thu Apr 13 08:21:04 2006
@@ -31,6 +31,9 @@
  org.eclipse.wst.server.core,
  org.eclipse.jst.common.frameworks,
  org.eclipse.wst.common.project.facet.core,
- org.eclipse.wst.web
+ org.eclipse.wst.web,
+ org.eclipse.emf.ecore,
+ org.eclipse.osgi,
+ org.eclipse.emf.common
 Eclipse-AutoStart: true
 Export-Package: org.apache.geronimo.core.internal;x-friends:="org.apache.geronimo.ui"

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/pom.xml
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/pom.xml?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/pom.xml
(original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.devtools.eclipse.core/pom.xml
Thu Apr 13 08:21:04 2006
@@ -61,6 +61,7 @@
             <id>install-dependencies</id>
             <phase>validate</phase>
             <goals>
+              <goal>manifestbundles</goal>
               <goal>download</goal>
               <goal>install</goal>
             </goals>
@@ -91,101 +92,5 @@
       <artifactId>org.apache.geronimo.runtime.v1</artifactId>
       <version>${org.apache.geronimo.runtime.v1_version}</version>      
     </dependency>
-    <!-- eclipse plugin dependencies -->
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.core.resources</artifactId>
-      <version>${org.eclipse.core.resources_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.debug.core</artifactId>
-      <version>${org.eclipse.debug.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jdt.core</artifactId>
-      <version>${org.eclipse.jdt.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jdt.launching</artifactId>
-      <version>${org.eclipse.jdt.launching_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.server.core</artifactId>
-      <version>${org.eclipse.wst.server.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.server.core</artifactId>
-      <version>${org.eclipse.jst.server.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.core.commands</artifactId>
-      <version>${org.eclipse.core.commands_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.web</artifactId>
-      <version>${org.eclipse.wst.web_version}</version>
-    </dependency> 
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.j2ee</artifactId>
-      <version>${org.eclipse.jst.j2ee_version}</version>
-    </dependency>     
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.j2ee.web</artifactId>
-      <version>${org.eclipse.jst.j2ee.web_version}</version>
-    </dependency>    
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.j2ee.ejb</artifactId>
-      <version>${org.eclipse.jst.j2ee.ejb_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.j2ee.jca</artifactId>
-      <version>${org.eclipse.jst.j2ee.jca_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.server.generic.core</artifactId>
-      <version>${org.eclipse.jst.server.generic.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.common.modulecore</artifactId>
-      <version>${org.eclipse.wst.common.modulecore_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jem.util.util</artifactId>
-      <version>${org.eclipse.jem.util.util_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.j2ee.core</artifactId>
-      <version>${org.eclipse.jst.j2ee.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.common.frameworks</artifactId>
-      <version>${org.eclipse.wst.common.frameworks_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.common.frameworks</artifactId>
-      <version>${org.eclipse.jst.common.frameworks_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.common.project.facet.core</artifactId>
-      <version>${org.eclipse.wst.common.project.facet.core_version}</version>
-    </dependency>        
   </dependencies>
 </project>

Modified: geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.ui/pom.xml
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.ui/pom.xml?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.ui/pom.xml (original)
+++ geronimo/devtools/eclipse-plugin/trunk/plugins/org.apache.geronimo.ui/pom.xml Thu Apr
13 08:21:04 2006
@@ -54,6 +54,7 @@
             <id>install-dependencies</id>
             <phase>validate</phase>
             <goals>
+              <goal>manifestbundles</goal> 
               <goal>download</goal>
               <goal>install</goal>
             </goals>
@@ -89,81 +90,6 @@
       <groupId>org.eclipse.plugins</groupId>
       <artifactId>org.eclipse.swt.fragment</artifactId>
       <version>${org.eclipse.swt.fragment_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jface</artifactId>
-      <version>${org.eclipse.jface_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui</artifactId>
-      <version>${org.eclipse.ui_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.browser</artifactId>
-      <version>${org.eclipse.ui.browser_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.editors</artifactId>
-      <version>${org.eclipse.ui.editors_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.forms</artifactId>
-      <version>${org.eclipse.ui.forms_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.ide</artifactId>
-      <version>${org.eclipse.ui.ide_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.workbench</artifactId>
-      <version>${org.eclipse.ui.workbench_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.core.commands</artifactId>
-      <version>${org.eclipse.core.commands_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.ui.workbench.texteditor</artifactId>
-      <version>${org.eclipse.ui.workbench.texteditor_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.server.ui</artifactId>
-      <version>${org.eclipse.wst.server.ui_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jst.server.generic.ui</artifactId>
-      <version>${org.eclipse.jst.server.generic.ui_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.wst.common.modulecore</artifactId>
-      <version>${org.eclipse.wst.common.modulecore_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.debug.core</artifactId>
-      <version>${org.eclipse.debug.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.jdt.launching</artifactId>
-      <version>${org.eclipse.debug.core_version}</version>
-    </dependency>
-    <dependency>
-      <groupId>org.eclipse.plugins</groupId>
-      <artifactId>org.eclipse.emf.edit.ui</artifactId>
-      <version>${org.eclipse.emf.edit.ui_version}</version>
     </dependency>
   </dependencies>
 </project>

Modified: geronimo/devtools/eclipse-plugin/trunk/pom.xml
URL: http://svn.apache.org/viewcvs/geronimo/devtools/eclipse-plugin/trunk/pom.xml?rev=393829&r1=393828&r2=393829&view=diff
==============================================================================
--- geronimo/devtools/eclipse-plugin/trunk/pom.xml (original)
+++ geronimo/devtools/eclipse-plugin/trunk/pom.xml Thu Apr 13 08:21:04 2006
@@ -130,57 +130,6 @@
     <jemUrl>http://download.eclipse.org/tools/ve/downloads/drops/R-1.1.0.1-200509071822/JEM-SDK-1.1.0.1.zip</jemUrl>
     <gefUrl>http://download.eclipse.org/tools/gef/downloads/drops/R-3.1.1-200509301327/GEF-SDK-3.1.1.zip</gefUrl>
     <wtpUrl>http://download.eclipse.org/webtools/downloads/drops/M-M200603280054-200603280054/wtp-sdk-M-M200603280054-200603280054.zip</wtpUrl>
-    <!-- Eclipse Project Distro Versions -->
-    <platformVersion>[3.1.2,)</platformVersion>
-    <emfVersion>[2.1.0,)</emfVersion>
-    <jemVersion>1.0.1-1</jemVersion>
-    <wtpVersion>1.0.1</wtpVersion>
-    <!-- Eclipse Platform Dependencies -->
-    <org.eclipse.core.runtime_version>${platformVersion}</org.eclipse.core.runtime_version>
-    <org.eclipse.core.resources_version>${platformVersion}</org.eclipse.core.resources_version>
-    <org.eclipse.core.commands_version>${platformVersion}</org.eclipse.core.commands_version>
-    <org.eclipse.debug.core_version>${platformVersion}</org.eclipse.debug.core_version>
-    <org.eclipse.jdt.launching_version>${platformVersion}</org.eclipse.jdt.launching_version>
-    <org.eclipse.jdt.core_version>${platformVersion}</org.eclipse.jdt.core_version>
-    <org.eclipse.jdt.launching_version>${platformVersion}</org.eclipse.jdt.launching_version>
-    <org.eclipse.jface_version>${platformVersion}</org.eclipse.jface_version>
-    <org.eclipse.osgi_version>${platformVersion}</org.eclipse.osgi_version>
-    <org.eclipse.swt.fragment_version>${platformVersion}</org.eclipse.swt.fragment_version>
-    <org.eclipse.ui_version>${platformVersion}</org.eclipse.ui_version>
-    <org.eclipse.ui.browser_version>${platformVersion}</org.eclipse.ui.browser_version>
-    <org.eclipse.ui.editors_version>${platformVersion}</org.eclipse.ui.editors_version>
-    <org.eclipse.ui.forms_version>${platformVersion}</org.eclipse.ui.forms_version>
-    <org.eclipse.ui.ide_version>${platformVersion}</org.eclipse.ui.ide_version>
-    <org.eclipse.ui.workbench_version>${platformVersion}</org.eclipse.ui.workbench_version>
-    <org.eclipse.ui.workbench.texteditor_version>${platformVersion}</org.eclipse.ui.workbench.texteditor_version>
-    <!-- EMF Dependencies -->
-    <org.eclipse.emf.ecore_version>${emfVersion}</org.eclipse.emf.ecore_version>
-    <org.eclipse.emf.ecore.edit_version>${emfVersion}</org.eclipse.emf.ecore.edit_version>
-    <org.eclipse.emf.edit_version>${emfVersion}</org.eclipse.emf.edit_version>
-    <org.eclipse.emf.edit.ui_version>${emfVersion}</org.eclipse.emf.edit.ui_version>
-    <org.eclipse.emf.ecore.xmi_version>${emfVersion}</org.eclipse.emf.ecore.xmi_version>
-    <org.eclipse.emf.common_version>${emfVersion}</org.eclipse.emf.common_version>
-    <!-- GEF Dependencies -->    
-    <!-- JEM Dependencies -->
-    <org.eclipse.jem.util.util_version>${jemVersion}</org.eclipse.jem.util.util_version>
-    <!-- WTP Dependencies -->
-    <org.eclipse.wst.server.core_version>${wtpVersion}</org.eclipse.wst.server.core_version>
-    <org.eclipse.wst.web_version>${wtpVersion}</org.eclipse.wst.web_version>
-    <org.eclipse.wst.common.modulecore_version>${wtpVersion}</org.eclipse.wst.common.modulecore_version>
-    <org.eclipse.wst.common.project.facet.core_version>${wtpVersion}</org.eclipse.wst.common.project.facet.core_version>
-    <org.eclipse.wst.common.frameworks_version>${wtpVersion}</org.eclipse.wst.common.frameworks_version>
-    <org.eclipse.wst.server.ui_version>${wtpVersion}</org.eclipse.wst.server.ui_version>
-    <org.eclipse.jst.server.core_version>${wtpVersion}</org.eclipse.jst.server.core_version>
-    <org.eclipse.jst.j2ee_version>${wtpVersion}</org.eclipse.jst.j2ee_version>
-    <org.eclipse.jst.j2ee.web_version>${wtpVersion}</org.eclipse.jst.j2ee.web_version>
-    <org.eclipse.jst.j2ee.ejb_version>${wtpVersion}</org.eclipse.jst.j2ee.ejb_version>
-    <org.eclipse.jst.j2ee.jca_version>${wtpVersion}</org.eclipse.jst.j2ee.jca_version>
-    <org.eclipse.jst.j2ee_version>${wtpVersion}</org.eclipse.jst.j2ee_version>
-    <org.eclipse.jst.common.frameworks_version>${wtpVersion}</org.eclipse.jst.common.frameworks_version>
-    <org.eclipse.jst.server.generic.core_version>${wtpVersion}</org.eclipse.jst.server.generic.core_version>
-    <org.eclipse.jst.server.core_version>${wtpVersion}</org.eclipse.jst.server.core_version>
-    <org.eclipse.jst.server.generic.ui_version>${wtpVersion}</org.eclipse.jst.server.generic.ui_version>
-    <org.eclipse.jst.j2ee.core_version>${wtpVersion}</org.eclipse.jst.j2ee.core_version>
   </properties>
 
   <dependencies>



Mime
View raw message